/*! \file skelgis.hpp
 *  \brief Has to be included in the user main file, it contains needed includes for SeklGIS library
 */

#ifndef SKELGIS_H
#define SKELGIS_H

//DDAG
#include "data_structures/DDAG/ddag.hpp"
#include "data_structures/DDAG/dpmap_nodes.hpp"
#include "data_structures/DDAG/dpmap_edges.hpp"

//DMatrix
#include "data_structures/DMatrix/dmatrix.hpp"
#include "util/dmatrix_vector.hpp"
#include "skeletons/skeletons.hpp"
#include "util/macros.hpp"
#include "util/chronometer.hpp"
#include "util/write.hpp"

#endif
